Ticket #32115

eSpeak が日本語テキストを Japanese Letter Chinese Letter としか読まない

Open Date: 2013-09-25 10:46 Last Update: 2013-12-05 14:26

Reporter: nishimoto Owner: nishimoto
Type: Patches Status: Closed
Component: 音声合成 MileStone: 2013.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

eSpeak が日本語テキストを Japanese Letter Chinese Letter としか読まない問題について bitbucket の jtalk ブランチで検討をしています。

本来はトピックごとにブランチを分割するべきですが、jtalk のリファクタリングと並行して行っている実験のため、ブランチを jtalk から分離していません。

現在やっていることは espeak ドライバに実質1行のパッチをあてて、文字コードの判定を行い、日本語の文字が使われている場合は、NVDA日本語版の点訳エンジンでカナ表記に変換し、さらにカナ文字を英語エンジンで読ませるための文字列変換を行う、という処理です。

チケット 32073 言語属性が英語でないコンテンツの英語TTSでの読み上げ

http://sourceforge.jp/ticket/browse.php?group_id=4221&tid=32073

の逆のアプローチとも言えます。

やっていることは下記の記事に似ています。

http://neu101.seesaa.net/article/159684939.html

また、下記の記事のような作業を組み合わせると、よりネイティブな eSpeak 日本語化ができるかも知れません。

http://d.hatena.ne.jp/mandel59/20100224/1267019490

現時点での eSpeak 日本語対応には、下記のような問題があります。

  • Japanese Letter と読まれるよりはマシだが日本語音声エンジンとしては実用的ではない
  • スペル読みを正しくサポートしていない
  • 数字が出てくると one two three と読み上げるなど、日本語ネイティブのユーザーには好まれない仕様

しかし、NVDA 日本語版を使っていてもたまにエンジンが eSpeak に切り替わってしまうことがあるため、NVDA メニューを開いて元の設定にも戻すくらいの作業は eSpeak でできたら便利かも知れません。

eSpeak の日本語対応は長期の戦略的課題であるため、実用性の観点からは力を入れるべき作業ではありませんが、余力があれば改良を進めたいと思います。

Attachment File List

No attachments

Ticket History (3/3 Histories)

2013-09-25 10:46 Updated by: nishimoto
  • New Ticket "eSpeak が日本語テキストを Japanese Letter Chinese Letter としか読まない" created
2013-10-09 23:32 Updated by: nishimoto
2013-12-05 14:26 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Ticket Close date is changed to 2013-12-05 14:26
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
  • Component Update from (None) to 音声合成

Edit

Please login to add comment to this ticket » Login